From 169aeac343552c9a5f52df0f398c84370ce68c41 Mon Sep 17 00:00:00 2001
From: Brion Vibber <brion@pobox.com>
Date: Wed, 11 Sep 2019 22:43:34 -0700
Subject: [PATCH] Fix %lf in wprintf

This was fixed for printf in 2012 via cc3a44666; took
the same fix and applied it to wprintf here so they
match.

Previously, %lf caused a failure to output.
---
 src/stdio/vfwprintf.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/stdio/vfwprintf.c b/src/stdio/vfwprintf.c
index 0adf0b7a..85b036c3 100644
--- a/src/stdio/vfwprintf.c
+++ b/src/stdio/vfwprintf.c
@@ -53,6 +53,8 @@ static const unsigned char states[]['z'-'A'+1] = {
 	}, { /* 1: l-prefixed */
 		S('d') = LONG, S('i') = LONG,
 		S('o') = ULONG, S('u') = ULONG, S('x') = ULONG, S('X') = ULONG,
+		S('e') = DBL, S('f') = DBL, S('g') = DBL, S('a') = DBL,
+		S('E') = DBL, S('F') = DBL, S('G') = DBL, S('A') = DBL,
 		S('c') = INT, S('s') = PTR, S('n') = PTR,
 		S('l') = LLPRE,
 	}, { /* 2: ll-prefixed */
-- 
2.20.1

